Bug 832843 - Gnome3 asks for WiFi password twice
Gnome3 asks for WiFi password twice
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 19:19 EDT by Giovanni Tirloni
Modified: 2013-07-31 19:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:35:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giovanni Tirloni 2012-06-17 19:19:19 EDT
Description of problem:

After logging in, Gnome3 asks for the wireless password twice, at the same time.

One screen is the Gnome3-like black popup and the other (below it, unclickable) is the usual gray popup.

Version-Release number of selected component (if applicable):

F17 , Gnome 3.4

How reproducible:

Always.

Steps to Reproduce:
1. Login
2. Enter wifi password in two different screens.
  
Actual results:

Two popups asking for password.

Expected results:

Should use keyring and not ask for any password at all.

Additional info:
Comment 1 Dan Winship 2012-06-25 13:25:11 EDT
what version of gnome-shell and what version of NetworkManager-gnome do you have installed?
Comment 2 Mark Harfouche 2013-02-26 16:37:48 EST
I've started to notice this behaviour with Gnome Shell 3.6 in Fedora 18.
Comment 3 Mark Harfouche 2013-02-26 16:39:11 EST
For example, when I wake my laptop from sleep, it asks me to enter the password with a password field pre-filled with the correct password (I just have to press connect)
Comment 4 Mark Harfouche 2013-03-13 17:43:48 EDT
Forgot to answer.

Gnome Shell 3.6.3.1
NetworkManager 0.9.8.0

(I couldn't find a package/program called NetworkManager-gnome)
Comment 5 Fedora End Of Life 2013-07-03 18:00:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 19:35:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.